<? 
// Animate Wars World - (c) Spezies Production
// Spezies@gmx.de
// --> Trainingsgebiete/lib/functions.php 

/* // Funktionen in dieser Funktionensammlung

	function IntToShop(int) : Shop[]
	function IntToMove(int) : Bewegung[]
	function IntToEnemy(int) : Enemy[]
	function ShopToInt(Shop[]) : int
	function MoveToInt(Bewegung[]) : int
	function EnemyToInt(Enemy[]) : int
	function getLink(int) : Verlinkungen[][]

*/

// entschlsselt den Binrcode fr den Shop
function IntToShop($shop) {
	$_RETURN[waffe] = false;
	$_RETURN[armor] = false;
	$_RETURN[schmuck] = false;
	$_RETURN[schild] = false;
	$_RETURN[schuhe] = false;
	$_RETURN[helm] = false;

	// abprfen der Mglichkeiten und erstellen der Bewegungspositionen
	if($shop >= 32) { $_RETURN[waffe] = true;   $shop -= 32; }
	if($shop >= 16) { $_RETURN[armor] = true;   $shop -= 16; }
	if($shop >= 8)  { $_RETURN[schmuck] = true; $shop -= 8;  }
	if($shop >= 4)  { $_RETURN[schild] = true;  $shop -= 4;  }
	if($shop >= 2)  { $_RETURN[schuhe] = true;  $shop -= 2;  }
	if($shop >= 1)  { $_RETURN[helm]	= true;  $shop -= 1;  }

	return $_RETURN;
}

// entschlsselt den Binrcode fr die Bewegung
function IntToMove($move) {
	$_RETURN[hoch] = false;
	$_RETURN[hoch_rechts] = false;
	$_RETURN[hoch_links] = false;
	$_RETURN[runter] = false;
	$_RETURN[runter_rechts] = false;
	$_RETURN[runter_links] = false;
	$_RETURN[links] = false;
	$_RETURN[rechts] = false;

	// abprfen der Mglichkeiten und erstellen der Bewegungspositionen
	if($move >= 128) { $_RETURN[hoch] = true;          $move -= 128; }
	if($move >= 64)  { $_RETURN[hoch_rechts] = true;   $move -= 64;  }
	if($move >= 32)  { $_RETURN[hoch_links] = true;    $move -= 32;  }
	if($move >= 16)  { $_RETURN[runter] = true;        $move -= 16;  }
	if($move >= 8)   { $_RETURN[runter_rechts] = true; $move -= 8;   }
	if($move >= 4)   { $_RETURN[runter_links] = true;  $move -= 4;   }
	if($move >= 2)   { $_RETURN[links] = true;         $move -= 2;   }
	if($move >= 1)   { $_RETURN[rechts]	= true;        $move -= 1;   }

	return $_RETURN;
}

// entschlsselt den Binrcode fr die Monster
function IntToEnemy($enemy) {
	$_RETURN[normal] = false;
	$_RETURN[unique] = false;
	$_RETURN[boss] = false;
	$_RETURN[legend_hero] = false;

	// abprfen der Mglichkeiten und erstellen der Monstermglichkeiten
	if($enemy >= 8)  { $_RETURN[normal] = true; $enemy -= 8;  }
	if($enemy >= 4)  { $_RETURN[unique] = true;  $enemy -= 4;  }
	if($enemy >= 2)  { $_RETURN[boss] = true;  $enemy -= 2;  }
	if($enemy >= 1)  { $_RETURN[legend_hero]	= true;  $enemy -= 1;  }

	return $_RETURN;
}

// verschlsselt den Shop in den Binrcode
function ShopToInt($shop) {

	$_RETURN  = 0;

	if($shop[waffe])   $_RETURN += 32;
	if($shop[armor])   $_RETURN += 16;
	if($shop[schmuck]) $_RETURN += 8;
	if($shop[schild])  $_RETURN += 4;
	if($shop[schuhe])  $_RETURN += 2;
	if($shop[helm])    $_RETURN += 1;

	return $_RETURN;
}

// verschlsselt die Bewegung in den Binrcode
function MoveToInt($move) {

	$_RETURN  = 0;

	if($move[hoch])          $_RETURN += 128;
	if($move[hoch_rechts])   $_RETURN += 64;
	if($move[hoch_links])    $_RETURN += 32;
	if($move[runter])        $_RETURN += 16;
	if($move[runter_rechts]) $_RETURN += 8;
	if($move[runter_links])  $_RETURN += 4;
	if($move[links])         $_RETURN += 2;
	if($move[rechts])        $_RETURN += 1;

	return $_RETURN;
}

// verschlsselt die Monstermglichkeit in den Binrcode
function EnemyToInt($enemy) {

	$_RETURN  = 0;

	if($enemy[normal]) $_RETURN += 8;
	if($enemy[unique])  $_RETURN += 4;
	if($enemy[boss])  $_RETURN += 2;
	if($enemy[legend_hero])    $_RETURN += 1;

	return $_RETURN;
}

// besorgt sich die Links aus der Datenbank und gibt die Anzahl und die Werte zurck
function getLink($feld_id) {

	$_RETURN[anzahl] = 0;

	$sql = mysql_query("SELECT Target,Beschreibung,Kosten FROM AWW_LINKS WHERE Source = '$feld_id' ORDER BY ID");
				  
	while($werte = mysql_fetch_array($sql)) {
		$_RETURN[anzahl]++;
		$_RETURN[$_RETURN[anzahl]][kosten] = $werte[Kosten];
		$_RETURN[$_RETURN[anzahl]][beschreibung] = $werte[Beschreibung];
		$_RETURN[$_RETURN[anzahl]][target] = $werte[Target];
	}
	return $_RETURN;
}
?>